﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;

namespace Singleton.Buildings
{
    public class BuildingUpgradeDecorator : IBuilding
    {
        protected IBuilding WrappedBuilding { get; private set; }

        public virtual string Description
        {
            get { return WrappedBuilding.Description; }
        }

        public virtual int Power
        {
            get { return WrappedBuilding.Power; }
        }

        public BuildingUpgradeDecorator(IBuilding wrappedBuilding)
        {
            WrappedBuilding = wrappedBuilding;
        }
    }
}
